Subject: Re: bug#5331: Term mode doesn't set tty erase

From: Andrew Hyatt <[email-masked]>
Date: Wed, 03 Aug 2016 21:50:36 -0400

Scott Bell <[email-masked]> writes:

> On 2010-01-08, at 12:09 PM, Dan Nicolaescu wrote:
>
>> Scott Bell <[email-masked]> writes:
>> 
>>> On 2010-01-07, at 2:35 PM, Dan Nicolaescu wrote:
>>> 
>>>> Scott Bell <[email-masked]> writes:
>>>> 
>>>>> On 2010-01-07, at 1:27 AM, Dan Nicolaescu wrote:
>>>> 
>>>> term.el does not do anything special for tcsh, so because it works
>>>> there, it's probably a problem in the initialization of the other
>>>> shells, not in term.el.
>>> 
>>> I agree. It seems like a shame that Mac OS relies on
>>> the default emulator (Terminal.app) to perform this
>>> initialization.
>> 
>> Not sure what you mean...
>> It's probably due to buggy initialization for those shells, or because
>> they get confused about TERM value used by term.el: eterm-color.
>
> Terminal.app has to be doing something, because I've tried
> setting term-term-name to 'xterm-color', which is the same
> TERM used by Terminal.app. So it seems like buggy shell
> initialization which Terminal.app is overriding somehow.

This bug reproduces on Emacs 25.1.50.1. I also tried running emacs via
iTerm2 and it had the same issue.